Skip to Content
homemade
Dashboard

Create an API key

POST
/api/api-keys

Creates an API key. Store key now: it is never shown again.

Authorization

apiKey
headerAuthorizationBearer <hmk_…>

An API key from the dashboard or homemade api-key create.

Request Body

application/json
  1. body
expiresInDays?integer
Range1 <= value <= 365
name*string
Length1 <= length <= 64

Response Body

The new key, with its secret.

application/json
  1. response
createdAt*string

ISO 8601 date-time (UTC).

Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
Formatdate-time
expiresAt*|null
id*string
key*string

The secret. Shown once; store it now.

keyPrefix*string|null
name*string|null
Example Request
curl -X POST 'https://api.homemade.dev/api/api-keys' \  -H 'Content-Type: application/json' \  -d '{  "name": "string"}'
Example Response
{  "createdAt": "2019-08-24T14:15:22Z",  "expiresAt": "2019-08-24T14:15:22Z",  "id": "string",  "key": "string",  "keyPrefix": "string",  "name": "string"}